Python Tools for Visual Studio Documentation
============================================

Getting Started
---------------

 * [wiki:"Installation Instructions" PTVS Installation]
 * [wiki:"Feature Matrix" Features Matrix]

Features in Depth
-----------------

* [wiki:"Editing" Features Editor]
 * [wiki:"IntelliSense" Features Editor#intellisense]
 * [wiki:"Navigation" Features Editor#navigation]
 * [wiki:Code Formatting]
* [wiki:"Refactoring" Features Refactoring]
 * [wiki:"Rename" Features Refactoring#rename-variable]
 * [wiki:"Extract Method" Features Refactoring#extract-method]
 * [wiki:"Add Import" Features Refactoring#add-import]
 * [wiki:"Remove Imports" Features Refactoring#remove-imports]
* [wiki:"Interactive REPL" Features Interactive REPL]
 * [wiki:"Switching Scopes" Features Interactive REPL#switching-scopes]
 * [wiki:"Send Code to Interactive" Features Interactive REPL#sending-code-to-interactive]
 * [wiki:Using IPython with PTVS]
* [wiki:"Debugging" Features Debugging]
 * [wiki:"Basic Debugging" Features Debugging#basic-debugging]
 * [wiki:"Debugging with a Project" Features Debugging#debugging-with-a-project]
 * [wiki:"Debugging without a Project" Features Debugging#debugging-without-a-project]
 * [wiki:"The Debug Interactive Window" Features Debugging#the-debug-interactive-window]
 * [wiki:"Remote Debugging for Windows, Linux and OS X" Features Remote Debugging]
 * [wiki:"Remote Debugging for Microsoft Azure Web Sites" Features Azure Remote Debugging]
 * [wiki:"Python/C++ Mixed-Mode Debugging" Features Mixed-mode Debugging]
* [wiki:"Profiling" Features Profiling]
* [wiki:"Projects" Features Projects]
 * [wiki:"Project Types" Features Projects#project-types]
  * [wiki:"Django" Django]
  * [wiki:"Web Projects" Features Web Project]
  * [wiki:"Cloud Service Project" Features Cloud Project]
 * [wiki:"Working without Projects" Features Projects#lightweight-usage-project-free]
 * [wiki:"New Project from Existing Code" Features Projects#create-project-from-existing-files]
 * [wiki:"Linked Files" Features Projects#linked-files]
 * [wiki:"Search Paths" Features Projects#search-paths]
 * [wiki:"References" Features Projects#references]
 * [wiki:"Python Environments" Python Environments]
 * [wiki:"Managing Requirements" Python Environments#managing-required-packages]
* [wiki:"Unit Tests" Unit Tests]
* [wiki:"PyLint" PyLint]
* [wiki:"Azure SDK for Python" AzureSDK]
* [wiki:"MPI, IPython, and Cluster Support" Detailed Walk-thu Guide - HPC and Cloud Features]
* [wiki:"Kinect for Python" PyKinect]
* [wiki:"Pyvot - an Excel to Python bridge" Pyvot]
* [wiki:"NumPy/SciPy for IronPython Quick Start (project deprecated)" NumPy and SciPy for .Net]
* [wiki:"wfastcgi" wfastcgi]
* Tutorials
 * [wiki:"Bottle and Azure Table Storage on Azure" PollsBottleAzureTableStorage]
 * [wiki:"Bottle and MongoDB on Azure" PollsBottleMongoDB]
 * [wiki:"Flask and Azure Table Storage on Azure" PollsFlaskAzureTableStorage]
 * [wiki:"Flask and MongoDB on Azure" PollsFlaskMongoDB]
 * [wiki:"Django and SQL Database on Azure" PollsDjangoSql]
 * [wiki:"Django and MySQL on Azure" PollsDjangoMySql]

Release Notes
-------------

See the downloads page for each release to read the release notes.

Other Pages
-----------
 * [wiki:Where is PTVS installed?]
 * [wiki:Build Instructions for PTVS]
